Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
messagelistflat.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZForumMain", "Language" )
| $UserLimit = $ini->variable( "eZForumMain", "MessageUserLimit" )
| $NewMessageLimit = $ini->variable( "eZForumMain", "NewMessageLimit" )
| $t
| $forum = new eZForum( $ForumID )
| $categories =& $forum->categories()
| $user =& eZUser::currentUser()
| $group =& $forum->group()
| $viewer = $user
if(is_a( $group, "eZUserGroup")) | else
if(count( $categories) > 0) | $locale = new eZLocale( $Language )
| $messageList =& $forum->messageTreeArray( $Offset, $UserLimit, false, false )
| $messageCount =& $forum->messageCount( false, true )
| $level = 0
| $i = 0
| $time = new eZDateTime()

## Variable Documentation

## ◆ $categories

$categories =& $forum->categories()

Definition at line 62 of file messagelistflat.php.

## ◆ $forum

$forum = new eZForum( $ForumID )

Definition at line 60 of file messagelistflat.php.

## ◆ $group

$group =& $forum->group()

Definition at line 67 of file messagelistflat.php.

## ◆ $i

$i = 0

Definition at line 118 of file messagelistflat.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 29 of file messagelistflat.php.

## ◆ $Language

$Language = $ini->variable( "eZForumMain", "Language" )

Definition at line 42 of file messagelistflat.php.

## ◆ $level

$level = 0

Definition at line 117 of file messagelistflat.php.

## ◆ $locale

if (count($categories) > 0) $locale = new eZLocale( $Language )

Definition at line 98 of file messagelistflat.php.

## ◆ $messageCount

$messageCount =& $forum->messageCount( false, true )

Definition at line 104 of file messagelistflat.php.

## ◆ $messageList

$messageList =& $forum->messageTreeArray( $Offset, $UserLimit, false, false )

Definition at line 103 of file messagelistflat.php.

## ◆ $NewMessageLimit

$NewMessageLimit = $ini->variable( "eZForumMain", "NewMessageLimit" )

Definition at line 44 of file messagelistflat.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezforum/user/" . $ini->variable( "eZForumMain", "TemplateDir" ),
"kernel/ezforum/user/intl", $Language, "messagelistflat.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: messagelistflat.php:42
$ini
$ini
Definition: messagelistflat.php:29

Definition at line 46 of file messagelistflat.php.

## ◆ $time

$time = new eZDateTime()

Definition at line 119 of file messagelistflat.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 64 of file messagelistflat.php.

## ◆ $UserLimit

$UserLimit = $ini->variable( "eZForumMain", "MessageUserLimit" )

Definition at line 43 of file messagelistflat.php.

## ◆ $viewer

$viewer = $user

Definition at line 68 of file messagelistflat.php.

## ◆ else

if (! $messageList) else

Initial value:
{
$readPermission = true

Definition at line 85 of file messagelistflat.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.